import ctypes

class TrackIdOfTwsTrackedTarget0304(ctypes.Structure):
    _fields_ = [("raw", ctypes.c_uint16)]

    def get_track_id_of_tws_tracked_tgt_03(self):
        return (self.raw >> 7) & 0xFF

    def set_track_id_of_tws_tracked_tgt_03(self, value):
        self.raw &= ~(0xFF << 7)
        self.raw |= (value << 7)

    def get_track_id_of_tws_tracked_tgt_04(self):
        return (self.raw >> 15) & 0xFF

    def set_track_id_of_tws_tracked_tgt_04(self, value):
        self.raw &= ~(0xFF << 15)
        self.raw |= (value << 15)
        